.article-text-block {
  display: block;

  & a {
    text-decoration: none !important;
    @apply no-underline border-b-2 border-secondary-900 hover:border-opacity-0 hover:text-secondary-700;
  }

  & h1,
  & h2,
  & h3,
  & h4,
  & h5,
  & h6 {
    font-family: Roboto, "Helvetica Neue", Arial, sans-serif;
    font-weight: 500;
    margin-top: 40px;
    margin-bottom: 20px;
  }

  & h1 {
    font-size: 28px;
    line-height: 48px;
  }

  & h2 {
    font-size: 36px;
    line-height: 43px;
  }

  & h3 {
    font-size: 32px;
    line-height: 38px;
  }

  & h4 {
    font-size: 28px;
    line-height: 33px;
  }

  & h5 {
    font-size: 24px;
    line-height: 28px;
  }

  & h6 {
    font-size: 20px;
    line-height: 24px;
  }

  & p {
    font-size: 18px;
    font-weight: 400;
    line-height: 1.7;
    margin-top: 30px;
    font-family: Roboto, "Helvetica Neue", Arial, sans-serif;
  }

  & ol,
  & ul {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-top: 20px;
    margin-left: 0;
    padding-right: 0;
    list-style-type: none;

    & li {
      position: relative;
      padding-left: 37px;
      line-height: 1.7;
      font-family: Roboto, "Helvetica Neue", Arial, sans-serif;
    }
  }

  & ol li {
    counter-increment: step-counter;

    &::before {
      content: counter(step-counter);
      position: absolute;
      left: 0;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      font-size: 14px;
      background-color: #385F4B;
      color: white;
      height: 25px;
      width: 25px;
      border-radius: 100%;
    }
  }

  & ul li::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 9px;
    background-color: #385F4B;
    height: 7px;
    width: 7px;
    border-radius: 100%;
    transform: translateY(-50%);
  }
}
